# Enum Class ImageProcessor.Resizing

Object
Enum<ImageProcessor.Resizing>
Resizing

All Implemented Interfaces:
  `Serializable`, `Comparable<ImageProcessor​.Resizing>`, `Constable`

Enclosing class:
  `ImageProcessor`

@Deprecated(since="1.5", forRemoval=true) public static enum ImageProcessor.Resizing extends Enum<ImageProcessor.Resizing>
Deprecated, for removal: This API element is subject to removal in a future version.
Replaced by `ImageLayout`.
Whether `ImageProcessor` can produce an image of different size compared to requested size. An image may be resized if the requested size cannot be subdivided into tiles of reasonable size. For example if the image width is a prime number, there is no way to divide the image horizontally with an integer number of tiles. The only way to get an integer number of tiles is to change the image size.

The image resizing policy may be used by any operation that involve a resampling. If a resizing is applied, the new size will be written in the `bounds` argument (a `Rectangle`).

Since:
  1.1
See Also:
  - `ImageProcessor​.getImageResizingPolicy()`
  - `ImageProcessor​.setImageResizingPolicy(Resizing)`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPAND`
  Deprecated.
  Replaced by `ImageLayout​.DEFAULT​.allowImageBoundsAdjustments(true)`.
  `NONE`
  Deprecated.
  Replaced by `ImageLayout​.DEFAULT`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ImageLayout`
  `layout`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The layout corresponding to the enumeration value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ImageProcessor​.Resizing`
  `valueOf(String name)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns the enum constant of this class with the specified name.
  `static ImageProcessor​.Resizing[]`
  `values()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    @Deprecated public static final ImageProcessor.Resizing NONE
    Deprecated.
    Replaced by `ImageLayout​.DEFAULT`.
    Image size is unmodified, the requested value is used unconditionally. It may result in big tiles (potentially a single tile for the whole image) if the image size is not divisible by a tile size.

  - ### EXPAND

    @Deprecated public static final ImageProcessor.Resizing EXPAND
    Deprecated.
    Replaced by `ImageLayout​.DEFAULT​.allowImageBoundsAdjustments(true)`.
    Image size can be increased. `ImageProcessor` will try to increase by the smallest number of pixels allowing the image to be subdivided in tiles.

- ## Field Details

  - ### layout

    public final ImageLayout layout
    Deprecated, for removal: This API element is subject to removal in a future version.
    The layout corresponding to the enumeration value.

- ## Method Details

  - ### values

    public static ImageProcessor.Resizing[] values()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ImageProcessor.Resizing valueOf(String name)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null